aboutsummaryrefslogtreecommitdiffstats
path: root/check-installed
diff options
context:
space:
mode:
Diffstat (limited to 'check-installed')
-rwxr-xr-xcheck-installed20
1 files changed, 20 insertions, 0 deletions
diff --git a/check-installed b/check-installed
new file mode 100755
index 0000000..19cc204
--- /dev/null
+++ b/check-installed
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -ue
+
+if test -r /etc/lsb-release; then
+ . /etc/lsb-release
+fi
+if test -r ~/.dotfiles/.work/distrib-tweak; then
+ . ~/.dotfiles/.work/distrib-tweak
+fi
+
+for pkg; do
+ if test "${DISTRIB_ID}" = Arch; then
+ pacman -Qq -- "$pkg"
+ elif test "${DISTRIB_ID}" = Ubuntu; then
+ test "$pkg" = base || dpkg -s -- "$pkg"
+ else
+ false
+ fi
+done </dev/null >/dev/null 2>/dev/null